﻿using System;
using System.Collections.ObjectModel;
using Syncfusion.SfAutoComplete.XForms;
using Xamarin.Forms;
using System.Linq;
namespace AutoComplete_Data
{
	public partial class AutoComplete_DataPage : ContentPage
	{
		SfAutoComplete autoComplete;
		object tempCollectionObject;
		public AutoComplete_DataPage()
		{
			InitializeComponent();
			autoComplete = new SfAutoComplete();
			autoComplete.SelectedValuePath = "Name";
			autoComplete.DisplayMemberPath = "Name";
			autoComplete.DataSource = GetList();
			autoComplete.SelectionChanged +=AutoComplete_SelectionChanged;

			StackLayout ln = new StackLayout();
			ln.Children.Add(autoComplete);

			this.Content = ln;
		}

		void AutoComplete_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			int num = autoComplete.SelectedIndex;
			tempCollectionObject = autoComplete.DataSource.ElementAt(num);
		}

		ObservableCollection<StudentDetails> GetList() { 
		
			ObservableCollection<StudentDetails> list = new ObservableCollection<StudentDetails>();
			list.Add(new StudentDetails("acho", 22, 60, "PHSS"));
			list.Add(new StudentDetails("ash", 22, 70, "Ahse"));
			list.Add(new StudentDetails("aseka", 26, 80, "AKT"));
			list.Add(new StudentDetails("akabe", 28, 90, "SSKV"));

			return list;
		}
	}
	public class StudentDetails : View
	{

		public StudentDetails(String name, int age, double mark, String school)
		{
			this.Name = name;
			this.Age = age;
			this.Mark = mark;
			this.School = school;
		}

		public String Name
		{
			get { return (String)GetValue(NameProperty); }
			set { SetValue(NameProperty, value); }
		}

		public static readonly BindableProperty NameProperty =
			BindableProperty.Create<StudentDetails, String>(p => p.Name, "", BindingMode.Default, null, null);


		public int Age
		{
			get { return (int)GetValue(AgeProperty); }
			set { SetValue(AgeProperty, value); }
		}

		public static readonly BindableProperty AgeProperty =
			BindableProperty.Create<StudentDetails, int>(p => p.Age, 0, BindingMode.Default, null, null);

		public double Mark
		{
			get { return (double)GetValue(MarkProperty); }
			set { SetValue(MarkProperty, value); }
		}

		public static readonly BindableProperty MarkProperty =
			BindableProperty.Create<StudentDetails, double>(p => p.Mark, 0, BindingMode.Default, null, null);


		public String School
		{
			get { return (String)GetValue(SchoolProperty); }
			set { SetValue(SchoolProperty, value); }
		}

		public static readonly BindableProperty SchoolProperty =
			BindableProperty.Create<StudentDetails, String>(p => p.School, "", BindingMode.Default, null, null);

	}
}
